require_relative './clases'

pan = Plato.new('Pan') do
  alimento food: 'Harina de trigo', cantidad: 300.g
  alimento food: 'Sal',             cantidad: 1.cucharada
end

pulpo = Plato.new('Pulpo a la gallega') do
  alimento food: 'Pulpo', cantidad: 300.g
  alimento food: 'Aceite', cantidad: 1.dl
  alimento food: 'Pimentón', cantidad: 1.cucharada
end

macedonia = Plato.new('Macedonia') do
  alimento food: 'Manzana', cantidad: 20.g
  alimento food: 'Pera', cantidad: 30.g
  alimento food: 'Naranja', cantidad: 1
end

leche = Plato.new('Leche') do
  alimento food: 'Leche', cantidad: 1.vaso
end

menu_uno = Menu.new('Leche y pan') do
  plato leche
  plato pan
end

menu_dos = Menu.new('Leche y pan') do
  plato leche
  plato pan
end

almuerzo = Menu.new('Pulpo con macedonia') do
  plato pan
  plato pulpo
  plato macedonia
end

dia = Day.new('lunes') do
  desayuno menu_uno
  almuerzo menu_dos
  cena menu_tres
end

Week.new do
  lunes dia
  martes(Day.new do
    desayuno(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
    almuerzo(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
    cena(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
  end)
  miercoles(Day.new do
    desayuno(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
    almuerzo(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
    cena(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
  end)
  jueves(Day.new do
    desayuno(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
    almuerzo(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
    cena(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
  end)
  viernes(Day.new do
    desayuno(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
    almuerzo(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
    cena(Menu.new do
      plato 'tostadas'
      plato 'manzana'
      plato 'natillas'
    end)
  end)
end
